# salt.pillar.nodegroups

## Nodegroups Pillar

Introspection: to which nodegroups does my minion belong? Provides a pillar with the default name of nodegroups which contains a list of nodegroups which match for a given minion.

Added in version 2016.11.0.

### Command Line

    salt-call pillar.get nodegroups
    local:
        - class_infra
        - colo_sj
        - state_active
        - country_US
        - type_saltmaster

### Configuring Nodegroups Pillar

    extension_modules: /srv/salt/ext
    ext_pillar:
      - nodegroups:
          pillar_name: 'nodegroups'

salt.pillar.nodegroups.ext_pillar(minion_id, pillar, pillar_name=None)

  A salt external pillar which provides the list of nodegroups of which the minion is a member.

  Parameters:

    - minion_id -- used for compound matching nodegroups

    - pillar -- provided by salt, but not used by nodegroups ext_pillar

    - pillar_name -- optional name to use for the pillar, defaults to 'nodegroups'

  Returns:

    a dictionary which is included by the salt master in the pillars returned to the minion